Subject: bug#25196: mention how to see top or middle of each yank-pop

From: Drew Adams <[email-masked]>
Date: Sat, 27 Jul 2019 17:30:42 -0700 (PDT)

> FWIW, here is battle-tested (i.e. use for many years) command
> that allows looking at the top or middle of each yank-pop before
> yanking:

I like it, including the fact that you can:
(1) edit a kill before pasting it, and even
(2) enter any text you want, for pasting.
#2 means this is not just about yanking kills.  

But please, if vanilla Emacs does this, do _not_
bind it to `C-M-y'.

This is a possible ~replacement (by users) for
`yank-pop'.  Users can bind it to `M-y'.  Or
if it becomes more popular someday than
`yank-pop' Emacs could give it binding `M-y'.

It's more or less a replacement for `yank-pop'
because the end effect is more or less the same:
yank something from the kill-ring (but see above).

Possible variants:

1. Prevent editing in the minibuffer (e.g.
   optionally), so you always get a kill (you
   can edit the text after yanking, of course).

2. While reading the string, force all kill
   commands to just delete, so that editing
   doesn't add to the kill-ring.

---

I use the secondary selection a lot, and have
keys for commands that use it.  I even have a
ring of secondary selections.  In many ways the
secondary selection is, or can be, parallel to
the region, and likewise its ring.

I use prefix `C-M-' for the secondary-selection
commands.

Yes, one user's/library's use of `C-M-y' isn't
reason enough to not waste that key on yet
another kill-ring yanker.  But the fact that
it's essentially a replacement for `yank-pop'
is a reasonable argument.

(`browse-kill-ring.el', for example, is another
such replacement.)